// import { message } from "antd";
import axios from "axios";

const config = {
  baseURL: "",
  timeout: 1000 * 15,
  headers: {},
};

const instance = axios.create(config);

instance.interceptors.request.use(
  (config) => {
    console.log(config);
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// Add a response interceptor
instance.interceptors.response.use(
  (response) => {
    return response?.data;
  },
  (error) => {
    return Promise.reject(error);
  }
);

export default instance;
